define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var allData = require("./js/loadData");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.toURL = function(imgUrl) {
		return imgUrl ? require.toUrl(imgUrl) : "";

	};

	Model.prototype.commentDataCustomRefresh = function(event){
		var url = require.toUrl("./json/comment.json");
		allData.loadDataFromFile(url, event.source, true);
	};

	Model.prototype.list1Click = function(event){
	  if(justep.Shell.userName.get()){
	  	
	     var data = this.comp('commentData');
         var row=data.val("sid");	
          if (row == 1)
             {
             //this.addjq(1);
             this.wxfx();
             }
         if (row == 2)
            {
            //this.addjq(2);
             this.wxpyq();
            }
		}else{
           justep.Util.hint("请您先登陆帐户！");
           setTimeout(function() {
				justep.Shell.showPage("login");
			}, 1500);
		}
	};
	
    Model.prototype.wxfx = function(event){
    //微信分享
        var self = this; 	
        function success(result) {
            self.addjq("1");
			alert("任务完成，恭喜您获得10元代金券一张！");
		}
		function error(result) {
			alert("因为"+JSON.stringify(result)+"所以任务没有完成");
		}
		navigator.weixin.share({
			message : {
				title : "RO净水",
				description : "注册RO净水会员,RO净水器免费装免费用",
				mediaTagName : "Media Tag Name(optional)",
				thumb : "http://nwzimg.wezhan.cn/contents/sitefiles2012/10061395/images/1023613.jpg",
				media : {
					// type: weixin.Type.WEBPAGE, // webpage
					webpageUrl : "http://39.108.178.70:8080/ro.apk"
				// webpage
				}
			},
			scene : navigator.weixin.Scene.SESSION
		}, success, error);

	};
	
	Model.prototype.wxpyq = function(event){
    //微信朋友圈
        var self = this; 	
        function success(result) {
            self.addjq("2");
			alert("任务完成，恭喜您获得20元代金券一张！");		}
		function error(result) {
			alert("因为"+JSON.stringify(result)+"所以任务没有完成");
		}
		navigator.weixin.share({
			message : {
				title : "RO净水",
				description : "注册RO净水会员,RO净水器免费装免费用",
				mediaTagName : "Media Tag Name(optional)",
				thumb : "http://nwzimg.wezhan.cn/contents/sitefiles2012/10061395/images/1023613.jpg",
				media : {
					// type: weixin.Type.WEBPAGE, // webpage
					webpageUrl : "http://39.108.178.70:8080/ro.apk"
				// webpage
				}
			},
			scene : navigator.weixin.Scene.TIMELINE
		}, success, error);

	};
	
	Model.prototype.addjq = function(lb){
    var baasData1=this.comp("baasData1");
    
    if (lb==1)
        {
 
        baasData1.newData({
		  	    defaultValues : [ {
		  	        "fid" : 1,
			    	"fPhoneNumber" : justep.Shell.userName.get(),
				    "couponType" : "10元券",
				    "couponValue" : "10",
				    "cimg": "./img/10cs.png",
				    "valid" : 0,
			    	"fsize": "1",
			    	"ftype": "1"
		    	} ]
		        });	
	    }

    if (lb==2)
        {
        baasData1.newData({
		  	    defaultValues : [ {
		  	        "fid" : 2,
			    	"fPhoneNumber" : justep.Shell.userName.get(),
				    "couponType" : "20元券",
				    "couponValue" : "20",
				    "cimg": "./img/20cs.png",
				    "valid" : 0,
			    	"fsize": "1",
			    	"ftype": "1"
		    	} ]
		        });	
	    }	    
	 
	 if (lb==3)
        {
        baasData1.newData({
		  	    defaultValues : [ {
		  	        "fid" : 3,
			    	"fPhoneNumber" : justep.Shell.userName.get(),
				    "couponType" : "5折券",
				    "couponValue" : "0.5",
				    "valid" : 0,
			    	"fsize": "3",
			    	"ftype": "1"
		    	} ]
		        });	

	    }	   
	    baasData1.saveData();
    };
    		
	Model.prototype.modelParamsReceive = function(event){
	     //接收参数   
		var p1 = justep.Shell.userName.get();
	};
	
	
	

	
	
	Model.prototype.image3Click = function(event){
    justep.Shell.showPage("main");
	};
	
	
	

	
	
	Model.prototype.backBtnClick = function(event){
    justep.Shell.closePage();
	};
	
	
	

	
	
	return Model;
});