define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");


	var Model = function() {
		this.callParent();
	};

	// 图片路径转换
	Model.prototype.getImageUrl = function(url) {
		return require.toUrl(url);
	};

	// 进入注册页
	Model.prototype.registeredClick = function(event) {
		justep.Shell.showPage("registered");
	};


	Model.prototype.loginIsmBtn = function(event) {
		var phoneInput = this.comp("nameInput").val();
		var passwordInput = this.comp("passwordInput").val();
		var reg = /^0?1[3|4|5|7|8][0-9]\d{8}$/;
		if (!reg.test(phoneInput)) {
			return;
		}
		;

		var userData = this.comp("baasData1");
		userData.clear();
		userData.filters.setVar("userPhone", phoneInput);
		userData.filters.setVar("password", passwordInput);
		userData.refreshData();
		if (userData.count() > 0) {
			//justep.Util.hint("登录成功");
            justep.Shell.userType.set("ISM");
			justep.Shell.userName.set(phoneInput);
			localStorage.removeItem("userUUID");			

            var user = {};
			user.userid = phoneInput;
			user.accountType = "ISM";
			user.name = phoneInput || "NONAME";
			localStorage.setItem("userUUID", JSON.stringify(user));
			
			justep.Shell.closePage();
			
		} else {
			justep.Util.hint("用户或密码有误！", {
				"type" : "danger"
			});
		}

	};

	Model.prototype.button1 = function(event){
          justep.Shell.showPage("registeMobile");
	};

	return Model;
});