define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
    require("./dist/echarts-all");
	var Model = function(){
		this.callParent();
	};

	
	Model.prototype.okEditClick = function(event){

	};


	Model.prototype.cuisineListDblclick = function(event){		
   
    var data = this.comp("cuisineData");
    
    if (data.count()>0)
    {
    var d1;
    var d2;
    var d3;
    var d4;
    var d5;
    if ((240-data.val("d1"))/240*100>15)
        {
        d1=((240-data.val("d1"))/240*100).toString();
        }
        else
        {
        d1='15.00';
        }

    if ((260-data.val("d1"))/260*100>15)
        {
        d2=((260-data.val("d1"))/260*100).toString();
        }
        else
        {
        d2='15.00';
        }

    if ((270-data.val("d1"))/270*100>15)
        {
        d3=((270-data.val("d1"))/270*100).toString();
        }
        else
        {
        d3='15.00';
        }
        
     if ((547-data.val("d1"))/547*100>15)
        {
        d4=((547-data.val("d1"))/547*100).toString();
        }
        else
        {
        d4='15.00';
        }
   
     if ((280-data.val("d1"))/280*100>15)
        {
        d5=((280-data.val("d1"))/280*100).toString();
        }
        else
        {
        d5='15.00';
        }     
   // justep.Util.hint(d1.substring(0,4));

        var option = {
        title: {
        //text: '纯水机状态',
        text: this.comp('cuisineData').val("fTitle"),
        subtext: '滤芯状态',
        x:'center'
    },
    tooltip: {
        trigger: 'axis',
        axisPointer: {
            type: 'shadow'
        }
    },
    grid: {
        left: '3%',
        right: '4%',
        bottom: '3%',
        containLabel: true
    },
    xAxis: {
        type: 'value',
        boundaryGap: [0, 0.01]
    },
    yAxis: {
        type: 'category',
        data: ['T33','RO','UDF','CTO','PPF']
    },
    series: [
        {
            name: '状态',
            type: 'bar',
            data: [d1, d2, d3, d4, d5]
        }
    ]

        };
        var myChart = echarts.init(this.getElementByXid('main'));
        myChart.setOption(option);
    }
	};

	Model.prototype.modelParamsReceive = function(event){
     var data = this.comp('cuisineData');	
     var p1 = justep.Shell.userName.get();
     
     if(justep.Shell.userName.get()){
         data.setFilter('filter1',"userid="+p1+"  and size=1");
        }
      else
        {
        data.setFilter('filter1',"userid is null"); 
        }
     
        this.comp("cuisineData").refreshData();  

	};

	Model.prototype.modelLoad = function(event){

     if(justep.Shell.userName.get()){

        }  
        else{
           justep.Util.hint("请您先登陆帐户！");
           setTimeout(function() {
				justep.Shell.showPage("login");
			}, 1000);
		}
	};



	return Model;
});